--- debathena-discuss-10.0.6.orig/debian/control
+++ debathena-discuss-10.0.6/debian/control
@@ -0,0 +1,59 @@
+Source: debathena-discuss
+Section: debathena/net
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.2.0), autoconf, comerr-dev, ss-dev, libkrb5-dev, libzephyr-dev, libzephyr3-krb, bison
+Standards-Version: 3.7.2
+
+Package: debathena-discuss
+Architecture: any
+Provides: discuss
+Depends: ${shlibs:Depends}, ${misc:Depends}, tcsh | c-shell, netbase
+Description: A conferencing and mail archiving system
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+
+Package: debathena-discuss-emacs
+Architecture: all
+Provides: discuss-emacs
+Depends: ${shlibs:Depends}, ${misc:Depends}, debathena-discuss (= ${Source-Version}), debathena-machtype, emacs | emacsen
+Description: Emacs interface to discuss
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+ .
+ This package contains an Emacs interface to discuss.
+
+Package: debathena-discuss-server
+Architecture: any
+Provides: discuss-server
+Pre-Depends: adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}, debathena-discuss (= ${Source-Version}), netbase
+Description: A conferencing and mail archiving system
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+ .
+ This package contains the discuss server.
+
+Package: debathena-libdsk-dev
+Section: debathena/libdevel
+Architecture: any
+Provides: libdsk-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, debathena-libusp-dev (= ${Source-Version}), comerr-dev, libkrb5-dev
+Description: Development files for discuss library
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+ .
+ This package contains libdsk headers and static libraries for 
+ development.
+
+Package: debathena-libusp-dev
+Section: debathena/libdevel
+Architecture: any
+Provides: libusp-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, comerr-dev
+Description: Development files for UNIX Unified Stream Protocol library
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+ .
+ This package contains libusp headers and static libraries for 
+ development.
--- debathena-discuss-10.0.6.orig/debian/debathena-discuss-emacs.install
+++ debathena-discuss-10.0.6/debian/debathena-discuss-emacs.install
@@ -0,0 +1 @@
+usr/share/emacs/site-lisp/*.el
--- debathena-discuss-10.0.6.orig/debian/debathena-discuss-emacs.emacsen-remove
+++ debathena-discuss-10.0.6/debian/debathena-discuss-emacs.emacsen-remove
@@ -0,0 +1,10 @@
+#!/bin/sh -e
+# /usr/lib/emacsen-common/packages/remove/debathena-discuss-emacs
+
+FLAVOR=$1
+PACKAGE=debathena-discuss-emacs
+
+if [ ${FLAVOR} != emacs ]; then
+    echo remove/${PACKAGE}: purging byte-compiled files for ${FLAVOR}
+    rm -rf /usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+fi
--- debathena-discuss-10.0.6.orig/debian/compat
+++ debathena-discuss-10.0.6/debian/compat
@@ -0,0 +1 @@
+4
--- debathena-discuss-10.0.6.orig/debian/control.in
+++ debathena-discuss-10.0.6/debian/control.in
@@ -0,0 +1,59 @@
+Source: debathena-discuss
+Section: debathena/net
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: @cdbs@, comerr-dev, ss-dev, libkrb5-dev, libzephyr-dev, libzephyr3-krb, bison
+Standards-Version: 3.7.2
+
+Package: debathena-discuss
+Architecture: any
+Provides: discuss
+Depends: ${shlibs:Depends}, ${misc:Depends}, tcsh | c-shell, netbase
+Description: A conferencing and mail archiving system
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+
+Package: debathena-discuss-emacs
+Architecture: all
+Provides: discuss-emacs
+Depends: ${shlibs:Depends}, ${misc:Depends}, debathena-discuss (= ${Source-Version}), debathena-machtype, emacs | emacsen
+Description: Emacs interface to discuss
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+ .
+ This package contains an Emacs interface to discuss.
+
+Package: debathena-discuss-server
+Architecture: any
+Provides: discuss-server
+Pre-Depends: adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}, debathena-discuss (= ${Source-Version}), netbase
+Description: A conferencing and mail archiving system
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+ .
+ This package contains the discuss server.
+
+Package: debathena-libdsk-dev
+Section: debathena/libdevel
+Architecture: any
+Provides: libdsk-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, debathena-libusp-dev (= ${Source-Version}), comerr-dev, libkrb5-dev
+Description: Development files for discuss library
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+ .
+ This package contains libdsk headers and static libraries for 
+ development.
+
+Package: debathena-libusp-dev
+Section: debathena/libdevel
+Architecture: any
+Provides: libusp-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, comerr-dev
+Description: Development files for UNIX Unified Stream Protocol library
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+ .
+ This package contains libusp headers and static libraries for 
+ development.
--- debathena-discuss-10.0.6.orig/debian/debathena-discuss-emacs.emacsen-startup
+++ debathena-discuss-10.0.6/debian/debathena-discuss-emacs.emacsen-startup
@@ -0,0 +1,24 @@
+;; -*-emacs-lisp-*-
+;;
+;; Emacs startup file, e.g.  /etc/emacs/site-start.d/50debathena-discuss-emacs.el
+;; for the Debian debathena-discuss-emacs package
+;;
+;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
+;; Modified by Dirk Eddelbuettel <edd@debian.org>
+;; Adapted for dh-make by Jim Van Zandt <jrv@debian.org>
+
+;; The debathena-discuss-emacs package follows the Debian/GNU Linux 'emacsen' policy and
+;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
+;; xemacs19, emacs20, xemacs20...).  The compiled code is then
+;; installed in a subdirectory of the respective site-lisp directory.
+;; We have to add this to the load-path:
+(let ((package-dir (concat "/usr/share/"
+                           (symbol-name flavor)
+                           "/site-lisp/debathena-discuss-emacs")))
+;; If package-dir does not exist, the debathena-discuss-emacs package must have
+;; removed but not purged, and we should skip the setup.
+  (when (file-directory-p package-dir)
+        (setq load-path (cons package-dir load-path))
+       (autoload 'discuss "discuss"
+           "Enter discuss mode for emacs and list meetings." t)))
+
--- debathena-discuss-10.0.6.orig/debian/changelog
+++ debathena-discuss-10.0.6/debian/changelog
@@ -0,0 +1,89 @@
+debathena-discuss (10.0.6-0debathena1) unstable; urgency=low
+
+  [ Evan Broder ]
+  * Add com_err support for delete and discuss on OS X.
+
+  [ Anders Kaseorg ]
+  * Depend emacs | emacsen instead of emacs22 | emacs21 | emacsen, so that
+    the emacs metapackage is pulled in by default.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Thu, 08 Jan 2009 16:35:04 -0500
+
+debathena-discuss (10.0.5-0debathena1) unstable; urgency=low
+
+  * Fix some trivial typos.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 19 Aug 2008 16:35:07 -0400
+
+debathena-discuss (10.0.4-0debathena1) unstable; urgency=low
+
+  * Fix a crash bug in edsc on 64-bit platforms.
+  * Fix date display in discuss on 64-bit platforms.
+
+ -- Greg Hudson <ghudson@mit.edu>  Mon, 30 Jun 2008 12:50:56 -0400
+
+debathena-discuss (10.0.3-0debathena1) unstable; urgency=low
+
+  * Fix a crash bug in edsc (int/long mismatch in short_time).
+  * Put edsc crash dumps in /tmp instead of /usr/tmp.
+
+ -- Greg Hudson <ghudson@mit.edu>  Wed, 11 Jun 2008 19:39:38 -0400
+
+debathena-discuss (10.0.2-0debathena1) unstable; urgency=low
+
+  * Stop assuming that long is 32 bits.
+  * Start assuming that int is 32 bits.
+
+ -- Greg Hudson <ghudson@mit.edu>  Wed, 11 Jun 2008 16:29:35 -0400
+
+debathena-discuss (10.0.1-0debathena1) unstable; urgency=low
+
+  * Fix obsolete names for Kerberos library functions, which no longer
+    worked on Mac OS X.  Patch from broder.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Sun, 06 Apr 2008 19:25:13 -0400
+
+debathena-discuss (10.0.0-0debathena2) unstable; urgency=low
+
+  * Actually use SERVERDIR, BINDIR, and INFODIR in config.h.sed.  (The
+    Makefile already interpolates these variables.)
+
+ -- Anders Kaseorg <andersk@mit.edu>  Sun, 06 Apr 2008 17:28:52 -0400
+
+debathena-discuss (10.0.0-0debathena1) unstable; urgency=low
+
+  * Merged quilt patches into mainline Athena tree
+
+ -- Shreevatsa R <vatsa@mit.edu>  Sun,  6 Apr 2008 15:54:22 -0400
+
+debathena-discuss (9.4.41-0debathena2) unstable; urgency=low
+
+  * Add emacs22 as a default alternative to emacs21 | emacsen.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Mon, 29 Oct 2007 21:40:29 -0400
+
+debathena-discuss (9.4.41-0debathena1) unstable; urgency=low
+
+  * New upstream release supporting Kerberos 5.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Thu, 23 Aug 2007 14:28:28 -0400
+
+debathena-discuss (9.4.30-0debathena3) unstable; urgency=low
+
+  * Section: debathena/net.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 17 Jul 2007 06:33:41 -0400
+
+debathena-discuss (9.4.30-0debathena2) unstable; urgency=low
+
+  * Move edsc to debathena-discuss package.
+  * Don't link libreadline, because libss is stupid and tries to do so at
+    runtime.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 17 Jul 2007 03:37:48 -0400
+
+debathena-discuss (9.4.30-0debathena1) unstable; urgency=low
+
+  * Initial release.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 30 Jan 2007 22:57:54 -0500
--- debathena-discuss-10.0.6.orig/debian/debathena-libusp-dev.install
+++ debathena-discuss-10.0.6/debian/debathena-libusp-dev.install
@@ -0,0 +1,2 @@
+usr/include/usp
+usr/lib/libusp.a
--- debathena-discuss-10.0.6.orig/debian/debathena-discuss-server.dirs
+++ debathena-discuss-10.0.6/debian/debathena-discuss-server.dirs
@@ -0,0 +1 @@
+var/spool/discuss
--- debathena-discuss-10.0.6.orig/debian/debathena-discuss-emacs.emacsen-install
+++ debathena-discuss-10.0.6/debian/debathena-discuss-emacs.emacsen-install
@@ -0,0 +1,38 @@
+#! /bin/sh -e
+# /usr/lib/emacsen-common/packages/install/debathena-discuss-emacs
+
+# Written by Jim Van Zandt <jrv@debian.org>, borrowing heavily
+# from the install scripts for gettext by Santiago Vila
+# <sanvila@ctv.es> and octave by Dirk Eddelbuettel <edd@debian.org>.
+
+FLAVOR=$1
+PACKAGE=debathena-discuss-emacs
+
+if [ ${FLAVOR} = emacs ]; then exit 0; fi
+
+echo install/${PACKAGE}: Handling install for emacsen flavor ${FLAVOR}
+
+#FLAVORTEST=`echo $FLAVOR | cut -c-6`
+#if [ ${FLAVORTEST} = xemacs ] ; then
+#    SITEFLAG="-no-site-file"
+#else
+#    SITEFLAG="--no-site-file"
+#fi
+FLAGS="${SITEFLAG} -q -batch -l path.el -f batch-byte-compile"
+
+ELDIR=/usr/share/emacs/site-lisp
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+
+install -m 755 -d ${ELCDIR}
+cd ${ELDIR}
+FILES=`echo discuss*.el`
+cp ${FILES} ${ELCDIR}
+cd ${ELCDIR}
+
+cat << EOF > path.el
+(setq load-path (cons "." load-path) byte-compile-warnings nil)
+EOF
+${FLAVOR} ${FLAGS} ${FILES}
+rm -f *.el path.el
+
+exit 0
--- debathena-discuss-10.0.6.orig/debian/rules
+++ debathena-discuss-10.0.6/debian/rules
@@ -0,0 +1,14 @@
+#!/usr/bin/make -f
+
+DEB_AUTO_UPDATE_DEBIAN_CONTROL = 1
+DEB_AUTO_UPDATE_AUTOCONF = 1
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+
+DEB_CONFIGURE_EXTRA_FLAGS += --with-krb4=$(shell krb5-config --prefix krb4) --with-zephyr
+DEB_MAKE_CLEAN_TARGET = clean
+DEB_DH_INSTALL_SOURCEDIR = $(DEB_DESTDIR)
+
+clean::
+	find . -name Makefile -exec rm -f {} \;
+	rm -f client/cmds.c config.status config.log configure
--- debathena-discuss-10.0.6.orig/debian/debathena-discuss.install
+++ debathena-discuss-10.0.6/debian/debathena-discuss.install
@@ -0,0 +1,12 @@
+usr/bin/crmtgs
+usr/bin/discuss
+usr/bin/dsc_setup
+usr/bin/dsgrep
+usr/bin/dsmail
+usr/bin/dspipe
+usr/bin/mkds
+usr/bin/pmtg
+usr/bin/rmds
+usr/lib/debathena-discuss/edsc
+usr/share/discuss
+usr/share/man/man1/*.1
--- debathena-discuss-10.0.6.orig/debian/debathena-discuss-server.install
+++ debathena-discuss-10.0.6/debian/debathena-discuss-server.install
@@ -0,0 +1,3 @@
+usr/bin/create_mtg_dir
+usr/sbin/discussd
+usr/sbin/disserve
--- debathena-discuss-10.0.6.orig/debian/debathena-libdsk-dev.install
+++ debathena-discuss-10.0.6/debian/debathena-libdsk-dev.install
@@ -0,0 +1,2 @@
+usr/include/discuss
+usr/lib/libdsk.a
--- debathena-discuss-10.0.6.orig/debian/debathena-discuss.postinst
+++ debathena-discuss-10.0.6/debian/debathena-discuss.postinst
@@ -0,0 +1,46 @@
+#!/bin/sh
+# postinst script for debathena-discuss
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+	if ! grep -q '^discuss[[:space:]]' /etc/services; then
+	    cat <<EOF >>/etc/services
+discuss		2100/tcp			# Networked conferencing.
+EOF
+	fi
+	;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+	;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- debathena-discuss-10.0.6.orig/debian/copyright
+++ debathena-discuss-10.0.6/debian/copyright
@@ -0,0 +1,20 @@
+The Athena source code was obtained from the Athena CVS repository at
+/afs/dev.mit.edu/source, and is licensed as follows:
+
+  Copyright 1996 by the Massachusetts Institute of Technology.
+
+  Permission to use, copy, modify, and distribute this
+  software and its documentation for any purpose and without
+  fee is hereby granted, provided that the above copyright
+  notice appear in all copies and that both that copyright
+  notice and this permission notice appear in supporting
+  documentation, and that the name of M.I.T. not be used in
+  advertising or publicity pertaining to distribution of the
+  software without specific, written prior permission.
+  M.I.T. makes no representations about the suitability of
+  this software for any purpose.  It is provided "as is"
+  without express or implied warranty.
+
+This Debian package was created as part of the Debian-Athena Project
+<http://web.mit.edu/debathena/www/> of the MIT Student Information
+Processing Board, and is released to the public domain.
--- debathena-discuss-10.0.6.orig/debian/debathena-discuss-server.postinst
+++ debathena-discuss-10.0.6/debian/debathena-discuss-server.postinst
@@ -0,0 +1,54 @@
+#!/bin/sh
+# postinst script for debathena-discuss
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+	if ! grep -q '^discuss[[:space:]]' /etc/services; then
+	    echo "Discuss		2100/tcp			# Networked conferencing." >>/etc/services
+	fi
+	if ! getent passwd discuss >/dev/null; then
+	    adduser --system --no-create-home --disabled-password --home /var/spool/discuss --gecos "Discuss server" --group discuss
+	fi
+	if ! dpkg-statoverride --list /usr/sbin/disserve >/dev/null; then
+	    chown discuss:discuss /usr/sbin/disserve
+	    chmod a=rx,u+ws /usr/sbin/disserve
+	fi
+	if ! dpkg-statoverride --list /var/spool/discuss >/dev/null; then
+	    chown discuss:discuss /var/spool/discuss
+	fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- debathena-discuss-10.0.6.orig/debian/debathena-discuss-server.postrm
+++ debathena-discuss-10.0.6/debian/debathena-discuss-server.postrm
@@ -0,0 +1,45 @@
+#!/bin/sh
+# postrm script for debathena-discuss-server
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <overwriter>
+#          <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    purge)
+	if getent passwd discuss >/dev/null; then
+	    deluser --system discuss || :
+	fi
+    ;;
+
+    remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
